define(['scripts/knockout-3.3.0','scripts/ACTComponent.js'], function(ko, ACTComponent) {

    function StepsListComponentViewModel(params, element) {
		this.base = new ACTComponent($(element), params);
		this.steps = ko.observableArray(params && params.Model.Steps || '');
		this.element = element;
		this.params = params;
		
		this.base.onRefresh = function(obj) {
			this.steps(obj.Steps);
			params.ready(true);
		}.bind(this);
		
		this.base.initialize();
	}

	return {
		createViewModel: function(params, componentInfo) {
			return new StepsListComponentViewModel(params, componentInfo.element);
		}
	};

});
